## org.hibernate.annotations
Annotation Type SelectBeforeUpdate

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface SelectBeforeUpdate

Should the entity's current state be selected from the database when determining whether to perform an update when re-attaching detached entities?

Optional Element Summary
`boolean` `value`

### value

    public abstract boolean value

  Default:
    true

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.